Description

Baseline: We upgraded Foreman+Katello from 3.9.1/4.11 to 3.10/412 on April 2. (aprox 1 week ago).

Before creating bootdisk based VSphere VMs worked flawlessy.

Since the upgrade, creating any bootdisk based image fails with "unexpected property name sharedBus".

As far as I can see "sharedBus" only appears in the fog-vSphere Ruby gem which was last updated to version v3.6.3 on 20240116,

however nothing in the changelog indicates any connection to the "sharedBus" (the next update before is way back in June 2023

(20340629).

The production.log reads:

26439e7d | /usr/share/gems/gems/rack-2.2.8/lib/rack/urlmap.rb:58:in `call'

26439e7d | /usr/share/gems/gems/puma-6.4.2/lib/puma/configuration.rb:272:in `call'

26439e7d | /usr/share/gems/gems/puma-6.4.2/lib/puma/request.rb:100:in `block in handle_request'

26439e7d | /usr/share/gems/gems/puma-6.4.2/lib/puma/thread_pool.rb:378:in `with_force_shutdown'

26439e7d | /usr/share/gems/gems/puma-6.4.2/lib/puma/request.rb:99:in `handle_request'

26439e7d | /usr/share/gems/gems/puma-6.4.2/lib/puma/server.rb:464:in `process_client'

26439e7d | /usr/share/gems/gems/puma-6.4.2/lib/puma/server.rb:245:in `block in run'

26439e7d | /usr/share/gems/gems/puma-6.4.2/lib/puma/thread_pool.rb:155:in `block in spawn_thread'

26439e7d | /usr/share/gems/gems/logging-2.3.1/lib/logging/diagnostic_context.rb:474:in `block in create_with_logging_context'

2024-04-08T14:31:30 [W|app|26439e7d] Rolling back due to a problem: [#<Orchestration::Task:0x000055cd3b965498

@name="Attach ISO image to CDROM drive for sks9018.ksgr.ch", @id="Attach ISO image to CDROM drive for sks9018.ksgr.ch",

@status="failed", @priority=1001, @action=[#<Host::Managed id: nil, name: "sks9018.ksgr.ch", last_compile: nil, last_report: nil,

updated_at: nil, created_at: nil, root_pass: nil, architecture_id: 1, operatingsystem_id: 10, ptable_id: 193, medium_id: 21, build: true,

comment: "", disk: "", installed_at: nil, model_id: nil, hostgroup_id: 18, owner_id: 6, owner_type: "User", enabled: true,

puppet_ca_proxy_id: nil, managed: true, use_image: nil, image_file: nil, uuid: "501a7392-ff57-cb9c-69c7-544bc1139c3b",

compute_resource_id: 1, puppet_proxy_id: nil, certname: nil, image_id: nil, organization_id: 1, location_id: 2, type: "Host::Managed",

otp: nil, realm_id: nil, compute_profile_id: 4, provision_method: "bootdisk", grub_pass: nil, global_status: 0, lookup_value_matcher:

[FILTERED], pxe_loader: "PXELinux BIOS", initiated_at: nil, build_errors: nil, creator_id: nil>, :setAttachIsoImage],

@created=1712579479.0071864, @timestamp=2024-04-08 12:31:30.065517078 UTC>]

2024-04-08T14:31:30 [I|app|26439e7d] Powering down Compute instance for sks9018.ksgr.ch

2024-04-08T14:31:30 [I|app|26439e7d] Removing Compute instance for sks9018.ksgr.ch

2024-04-08T14:31:30 [I|app|26439e7d] Processed 6 tasks from queue 'Host::Managed Main', completed 0/6

2024-04-08T14:31:30 [E|app|26439e7d] Task 'Set up compute instance sks9018.ksgr.ch' rollbacked

2024-04-08T14:31:30 [E|app|26439e7d] Task 'Query instance details for sks9018.ksgr.ch' rollbacked

2024-04-08T14:31:30 [E|app|26439e7d] Task 'Generating ISO image for sks9018.ksgr.ch' rollbacked

2024-04-08T14:31:30 [E|app|26439e7d] Task 'Upload ISO image to datastore for sks9018.ksgr.ch' rollbacked

2024-04-08T14:31:30 [E|app|26439e7d] Task 'Power up compute instance sks9018.ksgr.ch' rollbacked

2024-04-08T14:31:30 [E|app|26439e7d] Task 'Attach ISO image to CDROM drive for sks9018.ksgr.ch' failed

2024-04-08T14:31:30 [E|app|26439e7d] Failed to save: Failed to attach ISO image to CDROM drive of instance sks9018.ksgr.ch:

unexpected property name sharedBus

2024-04-08T14:31:30 [I|app|587ee06e] Started GET "/tasks/32ac69d3-2981-4e88-a47a-87bfe177b885" for 10.0.37.42 at 2024-04-08

14:31:30 +0200

2024-04-08T14:31:30 [I|app|26439e7d]   Rendered hosts/new.html.erb within layouts/application (Duration: 237.0ms | Allocations:

144559)

2024-04-08T14:31:30 [I|app|587ee06e] Processing by TasksController#show as /*

2024-04-08T14:31:30 [I|app|587ee06e]   Parameters: {"id"=>"32ac69d3-2981-4e88-a47a-87bfe177b885"}
2024-04-08T14:31:30 [I|app|587ee06e] Completed 200 OK in 5ms (Views: 0.5ms | ActiveRecord: 0.8ms | Allocations: 1825)

2024-04-08T14:31:30 [I|app|26439e7d]   Rendered layouts/base.html.erb (Duration: 12.7ms | Allocations: 15203)

2024-04-08T14:31:30 [I|app|26439e7d]   Rendered layout layouts/application.html.erb (Duration: 250.9ms | Allocations:

160281)

2024-04-08T14:31:30 [I|app|26439e7d] Completed 200 OK in 12185ms (Views: 233.6ms | ActiveRecord: 50.6ms | Allocations:

710650)

2024-04-08T14:31:32 [I|app|a2b77a79] Started GET "/tasks/32ac69d3-2981-4e88-a47a-87bfe177b885" for 10.0.37.42 at

2024-04-08 14:31:32 +0200

2024-04-08T14:31:32 [I|app|a2b77a79] Processing by TasksController#show as */

2024-04-08T14:31:32 [I|app|a2b77a79]   Parameters: {"id"=>"32ac69d3-2981-4e88-a47a-87bfe177b885"}

2024-04-08T14:31:32 [I|app|a2b77a79] Completed 200 OK in 5ms (Views: 0.5ms | ActiveRecord: 0.7ms | Allocations: 1829)

History

#1 - 04/09/2024 04:00 PM - Ewoud Kohl van Wijngaarden

- Category set to Compute resources - VMware

- Found in Releases 3.10.0 added

There was a change in https://github.com/fog/fog-vsphere/commit/952fec59329d15587b0610352233d1caac246369 that's in fog-vsphere 3.6.4 (the

tag wasn't pushed, so that's hard to see). Do you this installed and if so, does downgrading to 3.6.3 fix it? If not, can you install the update and does it

resolve your issue?

#2 - 04/09/2024 06:50 PM - Jürg Schulthess

Ewoud Kohl van Wijngaarden wrote in #note-1:

There was a change in https://github.com/fog/fog-vsphere/commit/952fec59329d15587b0610352233d1caac246369 that's in fog-vsphere 3.6.4

(the tag wasn't pushed, so that's hard to see). Do you this installed and if so, does downgrading to 3.6.3 fix it? If not, can you install the update

and does it resolve your issue?

 Thank you for the speed at which this was fixed.

I applied the changes manually and yes, it works! It will be properly replaced with fog-vsphere 3.6.4 on the next update.
